Bug 1029972 - [abrt] evolution-3.8.5-2.fc19: gweather_location_equal: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.8.5-2.fc19: gweather_location_equal: Process /usr/bin/evol...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0cb717e5bccab5c97b5cc4a4644...
:
: 1087934 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 10:56 EST by holmja
Modified: 2014-04-17 07:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-15 14:08:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (77.77 KB, text/plain)
2013-11-13 10:57 EST, holmja
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-13 10:57 EST, holmja
no flags Details
File: core_backtrace (51.68 KB, text/plain)
2013-11-13 10:57 EST, holmja
no flags Details
File: dso_list (26.92 KB, text/plain)
2013-11-13 10:57 EST, holmja
no flags Details
File: environ (1.47 KB, text/plain)
2013-11-13 10:57 EST, holmja
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-13 10:57 EST, holmja
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-13 10:57 EST, holmja
no flags Details
File: maps (132.01 KB, text/plain)
2013-11-13 10:58 EST, holmja
no flags Details
File: open_fds (2.16 KB, text/plain)
2013-11-13 10:59 EST, holmja
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-11-13 10:59 EST, holmja
no flags Details
File: var_log_messages (14.54 KB, text/plain)
2013-11-13 10:59 EST, holmja
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 712388 None None None Never

  None (edit)
Description holmja 2013-11-13 10:56:47 EST
Description of problem:
1) In Evolution's calendar view, create a new calendar of the "Weather" type.
2) Right click on the weather calendar in the side bar and select "Properties".
3) Evolution crashes.

Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: gweather_location_equal
executable:     /usr/bin/evolution
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gweather_location_equal at gweather-location.c:860
 #1 gweather_location_entry_set_location at location-entry.c:242
 #2 object_set_property at gobject.c:1358
 #3 g_object_set_property at gobject.c:2155
 #4 on_source_notify at gbinding.c:379
 #5 g_object_bind_property_full at gbinding.c:959
 #6 cal_config_weather_insert_widgets at evolution-cal-config-weather.c:199
 #7 source_config_add_candidate at e-source-config.c:218
 #8 source_config_init_for_editing_source at e-source-config.c:491
 #9 source_config_realize at e-source-config.c:719
Comment 1 holmja 2013-11-13 10:57:03 EST
Created attachment 823498 [details]
File: backtrace
Comment 2 holmja 2013-11-13 10:57:08 EST
Created attachment 823499 [details]
File: cgroup
Comment 3 holmja 2013-11-13 10:57:15 EST
Created attachment 823500 [details]
File: core_backtrace
Comment 4 holmja 2013-11-13 10:57:19 EST
Created attachment 823502 [details]
File: dso_list
Comment 5 holmja 2013-11-13 10:57:32 EST
Created attachment 823503 [details]
File: environ
Comment 6 holmja 2013-11-13 10:57:41 EST
Created attachment 823504 [details]
File: exploitable
Comment 7 holmja 2013-11-13 10:57:45 EST
Created attachment 823505 [details]
File: limits
Comment 8 holmja 2013-11-13 10:58:21 EST
Created attachment 823507 [details]
File: maps
Comment 9 holmja 2013-11-13 10:59:12 EST
Created attachment 823508 [details]
File: open_fds
Comment 10 holmja 2013-11-13 10:59:16 EST
Created attachment 823509 [details]
File: proc_pid_status
Comment 11 holmja 2013-11-13 10:59:20 EST
Created attachment 823510 [details]
File: var_log_messages
Comment 12 holmja 2013-11-13 11:29:58 EST
The city I selected when creating the weather calendar was "Grand Rapids, Michigan, United States". But the crash behavior seems the same when I select other cities, for example: "Sault Ste. Marie, Michigan, United States."
Comment 13 Milan Crha 2013-11-15 14:08:51 EST
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=712388
Comment 14 Milan Crha 2014-04-17 07:44:15 EDT
*** Bug 1087934 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.